Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.session
Interface IEssLocationInfo

All Superinterfaces:
  IEssBaseObject

public interface IEssLocationInfo
extends IEssBaseObject

The IEssLocationInfo provides location information about a running enterprise server instance.

Method Summary
`java.lang.String` | `getContainerDescription()` Gets the description of the container on which this enterprise server instance is running.
`java.lang.String` | `getServerName()` Gets the host name (or IP address) of the machine where this eEnterprise server instance is running.
`IEssbase.EEssOrbPluginType[]` | `getSupportedOrbTypes()` Gets the list of ORB types supported by this enterprise server instance.

Method Detail

### getServerName

    public java.lang.String getServerName()
                                   throws EssException

  Gets the host name (or IP address) of the machine where this eEnterprise server instance is running.

  Returns:
    The host name or IP address.
  Throws:
    `EssException` - is an error occurs.

### getSupportedOrbTypes

    public IEssbase.EEssOrbPluginType[] getSupportedOrbTypes()
                                                      throws EssException

  Gets the list of ORB types supported by this enterprise server instance.

  Returns:
    The list of ORB types.
  Throws:
    `EssException` - if an error occurs.

### getContainerDescription

    public java.lang.String getContainerDescription()
                                             throws EssException

  Gets the description of the container on which this enterprise server instance is running. The container could be a servlet engine, web server, web application server or a corba environment.

  Returns:
    The container description.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD